
Redmine - Defect #9708

Adding relation to the issue sometimes does not work

2011-12-01 11:44 - Mike Dubman

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version: 1.2.0

Description

When adding relation of type "Follows Issue: XXX" - nothing happens and error is printed in the log:

Processing IssueRelationsController#new (for 10.220.5.101 at 2011-12-01 12:39:24) [POST]

Parameters: {"commit"=>"Add", "issue_id"=>"4339", "action"=>"new",

"authenticity_token"=>"eJF3QmlNOQh/7t2Tdw5wyDFaFqDlTwyqqdf1uKwhObI=", "relation"=>{"delay"=>"", "issue_to_id"=>"4313",

"relation_type"=>"follows"}, "id"=>"198", "controller"=>"issue_relations"}

NoMethodError (undefined method `+' for nil:NilClass):

app/models/issue_relation.rb:88:in `set_issue_to_dates'

app/models/issue_relation.rb:82:in `before_save'

app/controllers/issue_relations_controller.rb:27:in `new'

config/initializers/mongrel_cluster_with_rails_211_fix.rb:62:in `dispatch_cgi'

History

#1 - 2011-12-01 12:24 - Etienne Massip

- Description updated

Looking at the call stack and source:/tags/1.2.0/app/models/issue_relation.rb#L88 and source:/tags/1.2.0/app/models/issue.rb#L538, it could be a

plugin issue.

Do you have plugins, can you try without them?

#2 - 2011-12-04 16:43 - Mischa The Evil

- Resolution set to Cant reproduce

I can't reproduce this on a current source:/trunk without plugins.

#3 - 2018-12-02 16:35 - Go MAEDA

- Status changed from New to Closed
https://www.redmine.org/projects/redmine/repository/svn/entry/tags/1.2.0/app/models/issue_relation.rb#L88
https://www.redmine.org/projects/redmine/repository/svn/entry/tags/1.2.0/app/models/issue.rb#L538
https://www.redmine.org/projects/redmine/repository/svn/entry/trunk
